package com.cyl.manager.staff.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cyl.manager.staff.domain.StaffWechat;

import java.util.List;

/**
 * 用户微信信息Mapper接口
 * 
 * @author daixiande
 */
public interface StaffWechatMapper extends BaseMapper<StaffWechat> {
    /**
     * 查询用户微信信息
     * 
     * @param id 用户微信信息主键
     * @return 用户微信信息
     */
    StaffWechat selectById(Long id);

    /**
     * 查询用户微信信息列表
     * 
     * @param staffWechat 用户微信信息
     * @return 用户微信信息集合
     */
    List<StaffWechat> selectList(StaffWechat staffWechat);

    /**
     * 新增用户微信信息
     * 
     * @param staffWechat 用户微信信息
     * @return 结果
     */
    int insert(StaffWechat staffWechat);

    /**
     * 修改用户微信信息
     * 
     * @param staffWechat 用户微信信息
     * @return 结果
     */
    int update(StaffWechat staffWechat);

    /**
     * 删除用户微信信息
     * 
     * @param id 用户微信信息主键
     * @return 结果
     */
    int deleteById(Long id);

    /**
     * 批量删除用户微信信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Long[] ids);

    /**
     * 更新或插入用户微信信息
     *
     * @param staffWechat 用户微信信息
     * @return 结果
     */
    int insertOrUpdate(StaffWechat staffWechat);
}
